OpenVDB 7.0.0

Public Member Functions | List of all members
LegacyFrustum Class Reference

LegacyFrustum class used at DreamWorks for converting old vdb files. More...

`#include <LegacyFrustum.h>`

## Public Member Functions
| LegacyFrustum (std::istream &is)
| ~LegacyFrustum ()
const Mat4d & | getCamXForm () const
double | getDepth () const
double | getTaper () const
double | getNearPlaneWidth () const
double | getFarPlaneWidth () const
double | getNearPlaneDist () const
const CoordBBox & | getBBox () const
Vec3d | unitToWorld (const Vec3d &in) const

## Detailed Description

LegacyFrustum class used at DreamWorks for converting old vdb files.

## Constructor & Destructor Documentation

## ◆ LegacyFrustum()

LegacyFrustum | ( | std::istream & | is | ) |
| inline

## ◆ ~LegacyFrustum()

~LegacyFrustum | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getBBox()

const CoordBBox& getBBox | ( |  | ) | const
| inline

## ◆ getCamXForm()

const Mat4d& getCamXForm | ( |  | ) | const
| inline

## ◆ getDepth()

double getDepth | ( |  | ) | const
| inline

## ◆ getFarPlaneWidth()

double getFarPlaneWidth | ( |  | ) | const
| inline

## ◆ getNearPlaneDist()

double getNearPlaneDist | ( |  | ) | const
| inline

## ◆ getNearPlaneWidth()

double getNearPlaneWidth | ( |  | ) | const
| inline

## ◆ getTaper()

double getTaper | ( |  | ) | const
| inline

## ◆ unitToWorld()

Vec3d unitToWorld | ( | const Vec3d & | in | ) | const
| inline

The documentation for this class was generated from the following file:

- LegacyFrustum.h